/* MBertello: Custom CSS E-pagos */

.msg_container {
    position: relative;
    margin-bottom: 10px;
}
.caption-container {
    position: relative;
    display: block;
    height: 100%;
    width: 100%;
    line-height: 1.42857143;
    border: 2px solid #e50046 !important;
    border-radius: 20px !important;
    -webkit-transition: border .2s ease-in-out;
    -o-transition: border .2s ease-in-out;
    transition: border .2s ease-in-out;
}
.messages {
    background: white;
    background-color: white;
    max-width: 100%;
    border: none!important; /* saca el borde de todas las burbujas del chat*/
}
.messages p, .writing {
    /* color: #000; */
    padding: 10px 10px;
    margin: 0;
    word-break: break-word;

    font-weight: 300;
    font-size: 13px;
    line-height: 1.3;
}
.msg_sent {
    border: none;
    border-radius: 20px !important;
    margin-right: 0;
    max-width: 50vw;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.2) !important;
    opacity: 0.95 !important;
}
/* Triangulito del globo del chat */
.msg_receive .caption-container::before {
    border-right: 10px solid #e50046;
}
.btn-group-vertical > .btn:last-child {
    border-top-left-radius: 10px !important;
    border-top-right-radius: 10px !important;
    border-bottom-right-radius: 10px !important;
    border-bottom-left-radius: 10px !important;
    width: 95%;
    margin: 8px auto;
    box-shadow: 2px 2px 2px 0px #AF9A9F;
}

.btn-group-vertical>.btn:first-child:not(:last-child){
    border-top-left-radius: 10px !important;
    border-top-right-radius: 10px !important;
    border-bottom-right-radius: 10px !important;
    border-bottom-left-radius: 10px !important;
    width: 95%;
    margin: 8px auto;
    box-shadow: 2px 2px 2px 0px #AF9A9F;
}

.btn:hover{
    background-color: #e50046 !important;
    color: rgb(255, 255, 255) !important;
    font-weight: 600;
}

.btn-success:active{
    background-color: #fa80a5 !important;
    color: rgb(0, 0, 0) !important;
    font-weight: 600;
}

.btn-default:hover {
    color: #000000!important;
    background-color: #fa1459!important;
    border-color: #e50046!important;
    border-top: 1px solid #e50046!important;
    border-bottom: 1px solid #e50046!important;
    border-left: 1px solid #e50046!important;
    border-right: 1px solid #e50046!important;
    box-shadow: 2px 2px 2px 0px #AF9A9F;
}

.btn-default:active{
    color: #000000!important;
    background-color: #fd9dba!important;
    border-color: #e50046!important;
    border-top: 1px solid #e50046!important;
    border-bottom: 1px solid #e50046!important;
    border-left: 1px solid #e50046!important;
    border-right: 1px solid #e50046!important;
    box-shadow: 2px 2px 2px 0px #AF9A9F;;
}

.photo {
    width: 50vw;
    height: 50vw;
    text-align: center;
    margin: 0px auto;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
}
.quick-replies {
    padding-left: 10px;
    padding-top: 3px !important;
}
.quick-replies, .quick-replies-img {
    vertical-align: middle;
    padding-top: 5px;
    padding-bottom: 10px;
    padding-right: 10px;
    height: 30px;
    border-radius: 14px !important;
}

/*Se comenta esto para que tome los estilos centrales del frontend*/
/*
.copyright {
    margin-top: 1rem;
    text-align: right;
    font-size: 1rem;
    font-weight: bold;
    text-shadow:none;
    transition: all 300ms;
    opacity: .72;
    color: #25408a;
    padding-right: 95px;
    background-image: url("../Imagenes/new_logo_labs357.png");
    background-position: right;
    background-size: 82px;
    background-repeat: no-repeat;
    padding-top: 8px;
    padding-bottom: 8px;
    margin-right: 15px;
}*/
.emojionearea, .emojionearea.form-control {
    border-top: 1px solid #CCC;
    border-radius: 3px;
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    border-bottom: 1px solid #CCCCCC;
    border-left: 0;
    border-right: 0;
}
.company:hover, .company:active, .company:focus {
    color: #00913d;
}
